<h4>Add a person to the database</h4>
<br>
<form (submit)="onSubmit()" #addForm="ngForm">
  <div class="md-form">
    <input required minlength="5" maxlength="30" pattern="[a-zA-Z ]*" #name="ngModel" type="text" id="defaultForm-name" class="form-control"
           mdbActive [(ngModel)]="person.name" name="name">
    <label [class.active]="person.name && person.name.length > 0" for="defaultForm-name">Name</label>
  </div>
  <div class="alert alert-danger" *ngIf="name.touched && !name.valid">
    <div *ngIf="name.errors.required">
      The name is required.
    </div>
    <div *ngIf="name.errors.minlength && !name.errors.pattern">
      The name should be at least 5 characters.
    </div>
    <div *ngIf="name.errors.pattern">
      The name should contain only alphabetical characters.
    </div>
  </div>

  <div class="md-form">
    <div class="md-form">
      <input required #email="ngModel" type="email" id="defaultForm-email" class="form-control"
             mdbActive [(ngModel)]="person.email" name="email">
      <label [class.active]="person.email && person.email.length > 0" for="defaultForm-email">Email</label>
    </div>
  </div>
  <div class="alert alert-danger" *ngIf="email.touched && !email.valid">
    <div *ngIf="email.errors.required">
      The email is required.
    </div>
  </div>

  <div class="text-justify">
    <button class="btn btn-success" mdbRippleRadius [disabled]="!addForm.valid">Add</button>
  </div>
</form>
